<?php
include_once '../sys/inc/start.php';
$doc = new document(4);
$doc -> title = 'Рассылка новости';
$doc -> ret ('К новостям','./');


$id = (int)@$_GET['id'];

$q = mysql_query("SELECT * FROM `news` WHERE `id` = '$id' LIMIT 1");

if (!mysql_num_rows($q))$doc -> access_denied('Новость не найдена или уже удалена');

$news = mysql_fetch_assoc($q);

$ank = new user($news['id_user']);

if ($ank->group > $user -> group)$doc -> access_denied('У Вас нет прав для рассылки данной новости');
if ($news['sended'])$doc -> access_denied('Новость уже была разослана');


if (isset($_POST['send']))
{
if (!isset($_SESSION['captcha']) || !isset($_POST['chislo']) || $_SESSION['captcha']!=$_POST['chislo'])
{
$doc->err('Проверочное число введено неверно');
}
else
{
$mailes = array();

$q = mysql_query("SELECT `reg_mail` FROM `users` WHERE `reg_mail` <> ''");

while ($um=mysql_fetch_assoc($q)) {
	if ($um)$mailes[] = $um['reg_mail'];
}
if ($mailes)
{
mail::send($mailes,$news['title'],output_text($news['text']));
mysql_query("UPDATE `news` SET `sended` = '1' WHERE `id` = '$id' LIMIT 1");
$doc->msg('Новость успешно отправлена');
}
else
$doc->err('Нет получателей новости');

header('Refresh: 1; url=./');
exit;
}

}




$smarty = new design();
$smarty->assign('method', 'post');
$smarty->assign('action', '?id='.$id.'&amp;'.passgen() );
$elements=array();
$elements[]=array('type'=>'captcha', 'br'=>1);
$elements[]=array('type'=>'text', 'value'=>'* Новость &quot;'.for_value($news['title']).'&quot; будет удалена без возможности восстановления','br'=>1);
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('name'=>'send', 'value'=>'Разослать новость по Email')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');
?>
